Bug 611054

Summary: Review Request: python-carrot - AMQP Messaging Framework for Python
Product: [Fedora] Fedora Reporter: Fabian Affolter <mail>
Component: Package ReviewAssignee: David Nalley <david>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: andrew.elwell, bdpepple, bloch, david, fedora-package-review, metherid, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-01-28 20:41:38 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 611048    
Bug Blocks: 201449    
Attachments:
Description Flags
informal review none

Description Fabian Affolter 2010-07-03 06:55:42 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-carrot.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-carrot-0.10.5-1.fc13.src.rpm

Project URL: http://pypi.python.org/pypi/carrot

Description:
carrot is an AMQP messaging queue framework. AMQP is the Advanced
Message Queuing Protocol, an open standard protocol for message
orientation, queuing, routing, reliability and security.

The aim of carrot is to make messaging in Python as easy as possible
by providing a high-level interface for producing and consuming
messages. At the same time it is a goal to re-use what is already
available as much as possible.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2291916

rpmlint output:
[fab@laptop011 SRPMS]$ rpmlint python-carrot-0.10.5-1.fc13.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop011 noarch]$ rpmlint python-carrot-0.10.5-1.fc13.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Fabian Affolter 2010-11-10 16:41:20 EST
* Mon Nov 01 2010 Fabian Affolter <fabian@bernewireless.net> - 0.10.7-1
- Updated to new upstream release 0.10.7

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-carrot.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/python-carrot-0.10.7-1.fc14.src.rpm
Comment 2 Andrew Elwell 2010-12-16 05:45:44 EST
Created attachment 469111 [details]
informal review
Comment 3 Andrew Elwell 2010-12-16 05:46:12 EST
Hi, As I'm hoping to become a packager I've done an informal review of this package. 

Full comments on the ReviewGuidelines are attached, but a couple of things I'd like to highlight are:

* no CFLAGS in the %build section -- see 
http://fedoraproject.org/wiki/PackagingGuidelines#Compiler_flags
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

* your dependency on 'Requires:       python-json' means I couldn't install it on a stock F14 laptop -- which json implementation do you need?

* rpmlint threw warnings about no buildroot. 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
is the default that comes with rpmdev-newspec

* finally upstream says on https://github.com/ask/carrot/#readme
that "Carrot is discontinued in favor of the new Kombu framework.

Kombu is ready, start to use it now!
Kombu comes with a Carrot compatible API, so it's easy to port your software.
Carrot will not be actively maintained, only critical bugs will be fixed."

-- you may want to mention this in the description...
Comment 4 Jason Tibbitts 2010-12-16 12:52:12 EST
Andrew, please don't attach package reviews; just paste them in.  Otherwise it is difficult for us to see them.
Comment 5 Andrew Elwell 2010-12-16 13:00:39 EST
OK, Will do. Wasn't sure of the ettiquette of pasting large chunks of text in.
Comment 6 David Nalley 2011-01-09 12:48:35 EST
Fabian: 

Andrew's comments appear to be correct wrt to python-json - python2.6 (and 3000) contains a json module, so that BR should probably be stripped (or conditionalized if you plan on building this for the EL < 6) 

If you do plan on building for EL < 6 you need Buildroot specified. 

Andrew's informal review looks pretty good
Comment 7 Jason Tibbitts 2011-01-21 18:19:15 EST
I'll ACK Andrew's review as well.
Comment 8 Brian Pepple 2011-01-28 16:49:55 EST
Fabian, are you still interested in submitting this to Fedora? If not, please reply so we can have someone else work on this, since python-carrot is a dep for openstack-nova. Thanks.
Comment 9 David Nalley 2011-01-28 20:41:38 EST
This hasn't been touched since December 10th - despite four additional people providing comments and bpepple has indicated that he's interested in picking it up. 

http://fedoraproject.org/wiki/PackageMaintainers/Policy#Submitter_not_responding
Comment 10 Rahul Sundaram 2011-05-11 02:43:26 EDT

*** This bug has been marked as a duplicate of bug 673637 ***